/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package empresa.dao;

import com.tecgraf.dao.FacadeJPA;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author s092
 */
public class EmpregadoDAOTest {
  public EmpregadoDAOTest() {
  }

  @BeforeClass
  public static void setUpClass() throws Exception {
  }

  @AfterClass
  public static void tearDownClass() throws Exception {
  }

  @Before
  public void setUp() {
  }

  @After
  public void tearDown() {
  }

  /**
   * Test of getInstance method, of class EmpregadoDAO.
   */
  @Test
  public void testGetInstance() {
    System.out.println("getInstance");
    String persistUnitStr = "EmpresaJPAPU";
    FacadeJPA facJPA = FacadeJPA.getInstance(persistUnitStr);
    EmpregadoDAO expResult = null;
    EmpregadoDAO result = EmpregadoDAO.getInstance(facJPA);
    assertEquals(expResult, result);
    // TODO review the generated test code and remove the default call to fail.
    fail("The test case is a prototype.");
  }
}